* {
  margin: 0;
  padding: 0;
}

body {
  background-color: #F1F1F1;
}

.container {
  width: 1190px;
  margin: 0 auto;
}

.d-none {
  display: none;
}

.header {
  position: fixed;
  top: 0;
  left: 0;
  height: 85px;
  background-color: #191919;

  &__block {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    height: 85px;
    //height: 100%;
  }

  &__logo-menu {
    display: flex;
    flex-direction: row;
    align-items: center;

    height: 100%;
  }

  &__center {
    width: 520px;
    max-width: calc(100vw - 70px);
    height: 100%;
    margin-left: 50px;
  }

  &__logo {
    display: inline-block;
    width: 95px;
    height: 50px;
    border-radius: 5px;
    text-decoration: none;
    background-color: #F7C427;
    font-size: 24px;
    color: #000000;
    line-height: 50px;
    text-align: center;
    font-family: Lato, sans-serif;
    text-transform: uppercase;
  }

  &__search {
    display: flex;
    flex-direction: row;
    align-items: flex-end;

    height: 50%;
    width: 100%;
    max-width: calc(100vw - 160px);

  }

  &__sign_btn {
    display: inline-block;
    width: 126px;
    //width: 60px;
    height: 30px;
    background-color: transparent;
    box-sizing: border-box;
    border-radius: 5px;
    border: 1px solid #F7C427;
    color: #F7C427;
    font-size: 18px;
    font-family: Lato, sans-serif;
    cursor: pointer;

  }

  &__logged {
    display: flex;
    flex-direction: row;
    align-items: center;
    position: relative;
    color: #fff;
    cursor: pointer;

    &-img {
      display: inline;
      height: 30px;
      width: 30px;
      object-fit: cover;
    }

    &-name {
      display: inline;
      margin-left: 15px;
      font-size: 24px;
      font-family: Lato, sans-serif;
    }

    &-list {
      position: absolute;
      //position: relative;
      top: 43px;
      right: 0;
      list-style: none;
      width: 158px;
      padding: 10px;
      background-color: #2A2A2A;
      z-index: 2;
    }

    &-item {
      //height: 35px;
      padding: 10px 0 10px;
      border-bottom: 1px solid rgba(255, 255, 255, 0.05);

      &:last-child {
        border-bottom: none;
      }
    }

    &-link {
      display: inline-block;
      height: 100%;
      width: 100%;
      text-decoration: none;
      color: #ffffff;
      font-size: 20px;
      font-family: Lato, sans-serif;
      font-weight: 400;
    }

  }

  &__social {
    height: 100%;
  }



}

.social__links {
  height: 50%;
  line-height: 43px;
  vertical-align: center;


  &_item {
    display: inline-block;
    height: 15px;

    margin-right: 10px;
  }

}

.header__login {

  height: 50%;
}


.modal__background {
  display: flex;
  align-items: center;
  justify-content: center;
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background-color: rgba(0, 0, 0, 0.5);
  overflow: hidden;
  z-index: 50;
}

.show-navmenu {

}

.header__burger {
  width: 45px;
  height: 40px;
  //background-color: #1abc9c;
  border-radius: 10px;
  border: 2px solid #F7C427;

  margin: 0 10px;
  cursor: pointer;
}

.burger__line-top,
.burger__line-centre,
.burger__line-bottom {
  height: 4px;
  width: 30px;
  border-radius: 2px;
  background-color: #F7C427;
  margin: 7px auto 7px;
}

.burger__line-top,
.burger__line-bottom {
  transition: 1s ease;
  transform-origin: left top;
}

#show-navmenu:checked ~ .header__center .burger__line-top {
  transform: skewY(37deg);
}

#show-navmenu:checked ~ .header__center .burger__line-centre {
  opacity: 0;
}

#show-navmenu:checked ~ .header__center .burger__line-bottom {
  transform: skewY(-37deg);
}

.search {
  &__input {
    display: block;
    height: 30px;
    width: calc(100% - 30px);
    max-width: calc(100vw - 150px);
    box-sizing: border-box;
    padding-left: 10px;
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
    font-size: 20px;
    outline: none;

    &::placeholder {
      color: #ccc;
      font-size: 20px;
    }

  }

  &__icon {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 30px;
    height: 30px;
    background-color: #F7C427;
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
    cursor: pointer;
  }
}

@media (min-width: 320px) {

  .container {
    min-width: 320px;
    width: 100%;
    //max-width: 1190px;
    margin: 0 auto;
    box-sizing: border-box;
  }

  .dashboard {
    margin-top: 60px;

  }

  .header {
    height: 60px;
    width: 100%;
    z-index: 30;

    &__block {
      height: 60px;
      //height: 100%;
    }

  }

  .header__logo {
    display: none;
  }

  .search__input {
    //max-width: calc(100vh - 150px);
  }

  .header__center {
    position: relative;

    display: flex;
    flex-direction: row;
    align-items: center;
    margin-left: 0px;
  }

  .navmenu {
    display: none;
  }


  #show-navmenu:checked ~ .header__center .navmenu {
    display: block;
  }



  .navmenu {
    position: absolute;
    top: 60px;
    left: 0;

    list-style: none;
    //height: 50%;
    width: 100vw;

    z-index: 3;

    &__item {
      display: block;
      width: 100%;
      //height: 30px;
      box-sizing: border-box;
      background-color: #2A2A2A;

      //position: relative;

      //&:last-child .navmenu__link:after {
      //  content: "";
      //  position: absolute;
      //  top: 0;
      //  right: 2px;
      //  height: 100%;
      //  width: 1px;
      //  background: linear-gradient(0deg, rgba(42, 42, 42, 1) 0%, rgba(200, 200, 200, 1) 50%, rgba(42, 42, 42, 1) 100%);
      //}
      //
      //&:hover .navmenu__link {
      //  background: linear-gradient(0deg, rgba(19, 19, 19, 1) 0%, rgba(75, 75, 75, 1) 50%, rgba(19, 19, 19, 1) 100%);
      //}

      //&:hover .navmenu__submenu {
      //  display: flex;
      //  flex-direction: column;
      //  position: absolute;
      //
      //  width: 100%;
      //  left: 0;
      //  top: 42px;
      //
      //  background-color: #2A2A2A;
      //
      //  z-index: 4;
      //
      //}

    }

    &__link {

      display: inline-block;
      width: 100%;
      height: 40px;
      box-sizing: border-box;
      text-decoration: none;
      //text-align: center;
      line-height: 42px;
      //vertical-align: center;
      color: #ffffff;
      font-size: 24px;
      font-family: Lato, sans-serif;
      padding-left: 10px;
      padding-right: 10px;

      //&:before {
      //  content: "";
      //  position: absolute;
      //  top: 0;
      //  left: 1px;
      //  height: 100%;
      //  width: 1px;
      //  background: linear-gradient(0deg, rgba(42, 42, 42, 1) 0%, rgba(200, 200, 200, 1) 50%, rgba(42, 42, 42, 1) 100%);
      //  z-index: 3;
      //}

    }

    &__submenu {
      //display: none;
      height: 0;
      overflow: hidden;
      transition: 1s ease-in;

      &_link {
        display: inline-block;
        width: 100%;
        height: 30px;
        box-sizing: border-box;
        padding-left: 30px;
        text-decoration: none;
        line-height: 30px;
        color: #2A2A2A;
        font-size: 16px;
        font-family: Lato, sans-serif;
        background-color: #F1F1F1;

      }

    }

  }


  .social__links {
    display: none;

  }

  .header__sign_btn {
    width: 60px;
  }

  .header__login {
    display: flex;
    align-items: center;
    height: 100%;
    padding-right: 10px;
    //width: 60px;
  }

  .header__logged-name {
    display: none;
  }

  .header__logged-img {
    height: 40px;
    width: 40px;
  }

  .header__logged-list {
    top: 50px;
  }

  .navmenu__item_full {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    padding-right: 20px;
    box-sizing: border-box;
  }

  .submenu_arrow {
    display: inline-block;
    width: 40px;
    height: 20px;
    //background-color: #fff;
    background-image: url("/img/arrow-down.png");
    background-repeat: no-repeat;
    background-size: contain;
    z-index: 9;
    cursor: pointer;
  }

  #show-audio:checked ~ .navmenu label[for="show-audio"] {
    background-image: url("/img/arrow-up.png");
  }

  #show-audio:checked ~ .navmenu .submenu__audio {
    //display: block;
    height: 150px;
  }

  #show-video:checked ~ .navmenu label[for="show-video"] {
    background-image: url("/img/arrow-up.png");
  }

  #show-video:checked ~ .navmenu .submenu__video {
    //display: block;
    height: 150px;
  }

  #show-text:checked ~ .navmenu label[for="show-text"] {
    background-image: url("/img/arrow-up.png");
  }

  #show-text:checked ~ .navmenu .submenu__text {
    //display: block;
    height: 150px;
  }


}

@media (min-width: 576px) {

}

@media (min-width: 992px) {

  .container {
    min-width: 990px;
    width: 100%;
    max-width: 1190px;
    margin: 0 auto;

    padding: 0 0px;
  }

  .dashboard {
    margin-top: 85px;
  }

  .header {
    //width: 100%;
    height: 85px;

    &__block {
      height: 85px;
    }
  }

  .header__logo {
    display: inline-block;
  }

  .header__logo-menu {
    display: flex;

  }
  .header__center {
    position: static;

    margin-left: 50px;
    flex-direction: column;
  }

  .header__burger {
    display: none;

  }

  .navmenu {
    position: static;
    display: block;
    list-style: none;
    height: 50%;
    width: 100%;

    &__item {
      display: inline-block;
      width: 20%;
      height: 100%;
      box-sizing: border-box;

      position: relative;

      &:last-child .navmenu__link:after {
        content: "";
        position: absolute;
        top: 0;
        right: 2px;
        height: 100%;
        width: 1px;
        background: linear-gradient(0deg, rgba(42, 42, 42, 1) 0%, rgba(200, 200, 200, 1) 50%, rgba(42, 42, 42, 1) 100%);
      }

      &:hover .navmenu__link {
        background: linear-gradient(0deg, rgba(19, 19, 19, 1) 0%, rgba(75, 75, 75, 1) 50%, rgba(19, 19, 19, 1) 100%);
      }

      &:hover .navmenu__submenu {
        display: flex;
        flex-direction: column;
        position: absolute;

        width: 100%;
        left: 0;
        top: 42px;

        background-color: #2A2A2A;

        z-index: 4;

      }

    }

    &__link {

      display: inline-block;
      width: 100%;
      height: 100%;
      box-sizing: border-box;
      text-decoration: none;
      text-align: center;
      line-height: 42px;
      //vertical-align: center;
      color: #ffffff;
      font-size: 20px;

      &:before {
        content: "";
        position: absolute;
        top: 0;
        left: 1px;
        height: 100%;
        width: 1px;
        background: linear-gradient(0deg, rgba(42, 42, 42, 1) 0%, rgba(200, 200, 200, 1) 50%, rgba(42, 42, 42, 1) 100%);
        z-index: 3;
      }

    }

    &__submenu {
      display: none;
      height: 150px;

      &_link {
        display: inline-block;
        width: 100%;
        height: 30px;
        box-sizing: border-box;
        padding-left: 10px;
        text-decoration: none;
        line-height: 30px;
        color: #ffffff;
        font-size: 16px;
        font-family: Lato, sans-serif;
        background-color: #2A2A2A;

        &:hover {
          color: #F7C427;
        }

      }

    }

  }

  .navmenu__item_full {
    display: block;
    width: 100%;
    padding-right: 0px;
    box-sizing: border-box;
  }


  .social__links {
    display: block;

  }

  .header__sign_btn {
    width: 126px;
  }

  .header__login {
    display: block;
    padding-right: 0px;
    height: 50%;
  }

  .header__logged-name {
    display: inline;
  }

  .header__logged-img {
    height: 30px;
    width: 30px;
  }

  .header__logged-list {
    top: 43px;
  }

  .submenu_arrow {
    display: none;
  }
}